Author Topic: Will not update past 1.2.6  (Read 2277 times)

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Will not update past 1.2.6
« on: March 20, 2017, 10:06:55 AM »
I am tried a variety of methods to update past 1.2.6 without any success. Does anyone know how the files and database can be updated to the current version 1.2.9?

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4406
  • Karma: +205/-0
    • View Profile
Re: Will not update past 1.2.6
« Reply #1 on: March 21, 2017, 12:38:12 AM »
Hello.

You need to update first to 1.2.7 then 1.2.8 ...... if autoupdate not work for you for some reason you can try manual upgrade process http://docs.abantecart.com/pages/upgrade/manual.html
“Chuck Norris is so amazing.”
― Mother Teresa

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #2 on: March 21, 2017, 10:08:36 AM »
Yes, I tried the one step at a time, but I couldn't get to 1.2.7. I'll retry the manual process. Thank you.

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #3 on: March 21, 2017, 05:56:24 PM »
I ran the manual update MySQL query but it failed with an error - #1061 - Duplicate key name 'ac_settings_idx'. Where do I find it, and which duplicate should be deleted or renamed?

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4153
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Will not update past 1.2.6
« Reply #4 on: March 21, 2017, 08:02:55 PM »
Check if you already have ac_settings_idx created

Just FYI, You can run upgrade script only one time.
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #5 on: March 22, 2017, 08:41:05 AM »
I looked for the ac_settings_idx under phpMyAdmin but could not find it.  Exactly where is it? The MySQL upgrade stopped at -

ALTER TABLE `ac_settings`
ADD INDEX `ac_settings_idx` USING BTREE (`group` ASC, `key` ASC);

I looked in the ac_settings table but could not see a reference to a key or ac_settings_idx. How is it found using phpMyAdmin?

I can restore the original database and try again, but if AbanteCart only allows a script to run once, does that include the original attempt to upgrade through the web interface?


Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4153
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Will not update past 1.2.6
« Reply #6 on: March 23, 2017, 02:00:07 PM »
To view indexes in phpMyAdmin, select the table and then go to Structure tab. Below the columns definitions is the list of indexes for the table.
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #7 on: April 02, 2017, 02:34:32 PM »
I gave up on 1.2.6 as could no longer spend time getting nowhere.

I installed 1.2.9, just updated to 1.2.10 and am in the laborious process of manually recreating about 300 items, each with a variety of options.

If only AbanteCart had a way of importing just the products, it would be much easier to add the options. Exporting to csv version 1.2.6 and attempting to import in to 1.2.9 failed, just like the many attempts to update it.

I suggest that an optional interface be built-in. That interface creates a table of columns like a spreadsheet, variable widths and selectable column headings. It will be a MUCH easier way to enter items by copying/pasting and minor editing.

Does anyone else have a better way to populate AbanteCart?

Offline eCommerce Core

  • Administrator
  • Hero Member
  • *****
  • Posts: 1600
  • Karma: +93/-1
    • View Profile
Re: Will not update past 1.2.6
« Reply #8 on: April 02, 2017, 06:47:12 PM »
There were few posts about import/export. There is a plan to make import export less flexible and easier just for products/customers.
If needed ., we can expedite based on paid support.
“If you’re in the luckiest one per cent of humanity, you owe it to the rest of humanity to think about the other 99 per cent.”
― Warren Buffett

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4153
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Will not update past 1.2.6
« Reply #9 on: April 02, 2017, 06:51:37 PM »
I gave up on 1.2.6 as could no longer spend time getting nowhere.

Is your database modified in any way?

Did you see this manual:
http://docs.abantecart.com/pages/upgrade/manual.html

How technical are you?
You can upgrade with running commands (not graphical interface)

NOTE: You can not run some SQL upgrades more than 2 times as some SQL commands will change your database and cannot be ran again.

 
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline maxter

  • Full Member
  • ***
  • Posts: 103
  • Karma: +35/-0
    • View Profile
Re: Will not update past 1.2.6
« Reply #10 on: April 02, 2017, 06:56:42 PM »
I gave up on 1.2.6 as could no longer spend time getting nowhere.
Maybe it is time to let expert do this :)
I can help. I do upgrades almost every day.

Does anyone else have a better way to populate AbanteCart?
I have done some data integrations for AbanteCart, I can help.

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #11 on: April 03, 2017, 08:20:53 AM »
I read the manual that bypasses detailed information. I've given up on the 1.2.6 version.

Thanks for everyone's help.

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #12 on: April 03, 2017, 08:48:08 AM »
I took a last look at 1.2.6 and found the ac_setting error message section of the database. I do not see a duplicate key? Is there one?

Check the jpg. Thanks.


Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4153
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Will not update past 1.2.6
« Reply #13 on: April 03, 2017, 12:00:38 PM »
I took a last look at 1.2.6 and found the ac_setting error message section of the database. I do not see a duplicate key? Is there one?

Check the jpg. Thanks.

Duplicate key is in the data that you insert or update.
Are you attempting to reload settings with insert? You can not do that. 
Can you post the SQL or command that you run?
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Will not update past 1.2.6
« Reply #14 on: April 03, 2017, 12:42:48 PM »
This was pasted into the MySQL "Run SQL query/queries on database..." section. If wrong, it was because the manual update instructions are so vague that this appeared to be the way that it was done. I think that it failed at line 2

ALTER TABLE `ac_settings`
ADD INDEX `ac_settings_idx` USING BTREE (`group` ASC, `key` ASC);

INSERT INTO `ac_block_templates` (`block_id`, `parent_block_id`, `template`, `date_added`) VALUES
(29, 3, 'blocks/account.tpl', now() ),
(29, 6, 'blocks/account.tpl', now() );

UPDATE `ac_block_templates`
SET `parent_block_id` = 1
WHERE `template` = 'blocks/customer.tpl' AND `block_id`=31 AND `parent_block_id` = 0;

UPDATE `ac_block_templates`
SET `parent_block_id` = 8
WHERE `template` = 'blocks/donate.tpl' AND `block_id`=21 AND `parent_block_id` = 0;

UPDATE `ac_block_templates`
SET `parent_block_id` = 2
WHERE `template` = 'blocks/breadcrumbs.tpl' AND `block_id`=28 AND `parent_block_id` = 0;

INSERT INTO `ac_settings` (`group`, `key`, `value`)
VALUES
('system','config_html_cache',0),
('system','config_image_quality',95);

INSERT INTO `ac_settings` (`group`, `key`, `value`) VALUES
('appearance','config_image_manufacturer_height',56),
('appearance','config_image_manufacturer_width',56);

DELETE FROM `ac_language_definitions` WHERE `section` = 1 AND `block`='tool_package_installer';

 

Powered by SMFPacks Social Login Mod